Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class InvalidStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.compoze.collab.util.NestedRuntimeException
                      com.compoze.collab.CollaborationRuntimeException
                          com.compoze.collab.InvalidStateException

All Implemented Interfaces
  Serializable

    public class InvalidStateException

extends CollaborationRuntimeException

Exceptions of this class are thrown when a method call or argument is invalid at the time it is called.

See Also
  `InvalidArgumentException`, Serialized Form

Constructor Summary
`InvalidStateException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs an InvalidStateException.
`InvalidStateException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)` Constructs a InvalidStateException.
`InvalidStateException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs an InvalidStateException.
`InvalidStateException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)` Constructs an InvalidStateException.

Method Summary

Methods inherited from class com.compoze.collab.CollaborationRuntimeException
`getAdminMessage, getAdminResolution, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedRuntimeException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidStateException

    public InvalidStateException(com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs an InvalidStateException.

  Parameters
    `ctx` -
    `key` -

### InvalidStateException

    public InvalidStateException(Throwable t,
                                 com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs an InvalidStateException.

  Parameters
    `t` -
    `ctx` -
    `key` -

### InvalidStateException

    public InvalidStateException(Throwable t,
                                 com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey key,
                                 Object param)

  Constructs an InvalidStateException.

  Parameters
    `t` -
    `ctx` -
    `key` -
    `param` -

### InvalidStateException

    public InvalidStateException(com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey key,
                                 Object param)

  Constructs a InvalidStateException.

  Parameters
    `ctx` -
    `key` -
    `param` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved